> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Cap Extend Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on AVR
```
#include <stdint.h>
#include "capextend_hw.h"

sbit RST at PORTA6_bit;
sbit RST_DIR at DDA6_bit;

uint8_t address     = 0x2B;

void system_init( void );


void system_init( void )
{
     RST_DIR = 1;

     DDRB = 0xFF;           // Set direction to be output
     DDRC = 0xFF;           // Set direction to be output

     //Toggle Reset Pin
     RST = 0;
     Delay_ms(50);
     RST = 1;
     Delay_ms(50);
     RST = 0;
     Delay_ms(50);
     RST = 1;

    // UART
    UART1_Init( 9600 );
    UART1_Write_Text( "UART Initialized\r\n" );;

    // TWI
    TWI_Init( 100000 );
    Delay_ms(200);
    UART1_Write_Text( "TWI Initialized\r\n" );

    // CapExtend
    capextend_init( address )
    UART1_Write_Text( "CapExtend Initialized\r\n" );

}

```

```
void main()
{
     //Local Decalartions
     uint8_t msb        = 0;
     uint8_t lsb        = 0;
     char uart_text[25] = { 0 };

     system_init();

     msb = capextend_spm_get_i2c_address();
     IntToStr( msb, uart_text );
     UART1_Write_Text( uart_text );
     UART1_Write_Text( " <-- I2C Address\r\n" );
     
     while(1)
     {
          msb = capextend_read_msb_buttons();
          lsb = capextend_read_lsb_buttons();
          PORTB = msb;        // Turn OFF diodes on PORTB
          PORTC = lsb;        // Turn OFF diodes on PORTC
          Delay_ms(3);
     }  //While
}

```

